> ## Documentation Index
> Fetch the complete documentation index at: https://docs.area.club/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate a LAT deposit transaction

> Simulates depositing assets into a Liquid AVS Token contract without actually executing the transaction, returning expected results and fees



## OpenAPI

````yaml post /lat/{address}/simulate-deposit
openapi: 3.0.3
info:
  title: Area API
  description: >-
    Area is a decentralized, non-custodial liquid restaking protocol that allows
    users to directly restake into networks and services.
  version: 1.0.0
  license:
    name: MIT
    url: https://spdx.org/licenses/MIT.html
servers:
  - url: https://api.area.club
    description: Area Production API
security: []
paths:
  /lat/{address}/simulate-deposit:
    post:
      tags:
        - LAT
      summary: Simulate a LAT deposit transaction
      description: >-
        Simulates depositing assets into a Liquid AVS Token contract without
        actually executing the transaction, returning expected results and fees
      operationId: simulateLatDeposit
      parameters:
        - in: path
          name: address
          description: LAT contract address (proxy)
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            description: LAT contract address (proxy)
            example: '0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613'
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sender:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: The wallet address that will submit the tx and get debited
                assets:
                  type: array
                  items:
                    type: string
                    pattern: ^0x[a-fA-F0-9]{40}$
                  minItems: 1
                  description: The array of token addresses to be deposited
                amounts:
                  type: array
                  items:
                    type: string
                    pattern: ^\d+$
                  minItems: 1
                  description: >-
                    The array of amounts corresponding to each asset, in the
                    decimals of that token
                receiver:
                  type: string
                  pattern: ^0x[a-fA-F0-9]{40}$
                  description: >-
                    The wallet address that will receive the minted Liquid Avs
                    Tokens
              required:
                - sender
                - assets
                - amounts
                - receiver
        required: true
      responses:
        '200':
          description: Successful deposit simulation result
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      success:
                        type: boolean
                        enum:
                          - true
                        description: Indicates if the simulation was successful
                      amounts:
                        type: array
                        items:
                          type: number
                        description: Resulting token amounts after deposit
                        example:
                          - 1070792079207920800
                          - 1122772277227722800
                      fees:
                        type: object
                        properties:
                          gas:
                            type: object
                            properties:
                              gasLimit:
                                type: string
                                description: Gas limit for the transaction
                                example: '210000'
                              gasPrice:
                                type: string
                                description: Current gas price in wei
                                example: '25000000000'
                              gasFee:
                                type: string
                                description: Total gas fee in wei
                                example: '5250000000000000'
                            required:
                              - gasLimit
                              - gasPrice
                              - gasFee
                            description: Gas-related fees
                          area:
                            type: object
                            properties:
                              managementFee:
                                type: number
                                description: Management fee for the transaction
                                example: 0
                              performanceFee:
                                type: number
                                description: Performance fee for the transaction
                                example: 0
                            required:
                              - managementFee
                              - performanceFee
                            description: Protocol-specific fees
                        required:
                          - gas
                          - area
                        description: Fee details for the transaction
                    required:
                      - success
                      - amounts
                      - fees
                  - type: object
                    properties:
                      success:
                        type: boolean
                        enum:
                          - false
                        description: Indicates if the simulation failed
                      message:
                        type: string
                        description: Error message describing why the simulation failed
                        example: >-
                          execution reverted: ERC20: transfer amount exceeds
                          balance
                    required:
                      - success
                      - message
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
components:
  responses:
    '400':
      description: >-
        The server cannot or will not process the request due to something that
        is perceived to be a client error (e.g., malformed request syntax,
        invalid request message framing, or deceptive request routing).
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - bad_request
                    description: A short code indicating the error code returned.
                    example: bad_request
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#bad_request
                required:
                  - code
                  - message
            required:
              - error
    '401':
      description: >-
        Although the HTTP standard specifies "unauthorized", semantically this
        response means "unauthenticated". That is, the client must authenticate
        itself to get the requested response.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unauthorized
                    description: A short code indicating the error code returned.
                    example: unauthorized
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unauthorized
                required:
                  - code
                  - message
            required:
              - error
    '403':
      description: >-
        The client does not have access rights to the content; that is, it is
        unauthorized, so the server is refusing to give the requested resource.
        Unlike 401 Unauthorized, the client's identity is known to the server.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - forbidden
                    description: A short code indicating the error code returned.
                    example: forbidden
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#forbidden
                required:
                  - code
                  - message
            required:
              - error
    '404':
      description: The server cannot find the requested resource.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - not_found
                    description: A short code indicating the error code returned.
                    example: not_found
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#not_found
                required:
                  - code
                  - message
            required:
              - error
    '422':
      description: >-
        The request was well-formed but was unable to be followed due to
        semantic errors.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - unprocessable_entity
                    description: A short code indicating the error code returned.
                    example: unprocessable_entity
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity
                required:
                  - code
                  - message
            required:
              - error
    '429':
      description: >-
        The user has sent too many requests in a given amount of time ("rate
        limiting")
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - rate_limit_exceeded
                    description: A short code indicating the error code returned.
                    example: rate_limit_exceeded
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded
                required:
                  - code
                  - message
            required:
              - error
    '500':
      description: The server has encountered a situation it does not know how to handle.
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - internal_server_error
                    description: A short code indicating the error code returned.
                    example: internal_server_error
                  message:
                    type: string
                    description: A human readable explanation of what went wrong.
                    example: The requested resource was not found.
                  doc_url:
                    type: string
                    description: >-
                      A link to our documentation with more details about this
                      error code
                    example: >-
                      https://docs.eigenexplorer.com/api-reference/errors#internal_server_error
                required:
                  - code
                  - message
            required:
              - error

````